/*
 * cw: a Morse code program
 * Copyright (C) 2005  Eric C. Cooper <ecc@cmu.edu>
 * Released under the GNU General Public License
 */

#include <caml/mlvalues.h>
#include <sys/ioctl.h>
#include <sys/soundcard.h>

/*
 * sound_sync : Unix.file_descr -> unit
 *
 * Synchronize with sound card
 */

value sound_sync(value fd) {
    ioctl(Int_val(fd), SNDCTL_DSP_SYNC);
    return Val_unit;
}
