(* cw: a Morse code program
   Copyright (C) 2005  Eric C. Cooper <ecc@cmu.edu>
   Released under the GNU General Public License *)

let pause milliseconds =
  let seconds = float milliseconds /. 1000.0 in
  let interval = { Unix.it_interval=0.0; Unix.it_value=seconds } in
  let _ = Unix.setitimer Unix.ITIMER_REAL interval in
  Unix.pause ()
